Bug 510328 - Mercurial Extensions are missing
Mercurial Extensions are missing
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mercurial (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Neal Becker
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-08 13:50 EDT by John F
Modified: 2014-11-17 09:33 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 09:31:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John F 2009-07-08 13:50:38 EDT
Description of problem:
I need to use Mercurial's built in Purge extension.  It doesn't work with Fedora 11.  This extension is shipped with the upstream tarball.

Version-Release number of selected component (if applicable):


How reproducible:
100%

Steps to Reproduce:
1.create/clone hg repo (hg clone http://hg.mozilla.org/mozilla-central)
2.dirty up tree (make -f client.mk build with default mozconfig)
3.add "[extensions]" \n "hgext.purge=" to ~/.hgrc
4.run hg purge --all [--print]
  
Actual results:
I get the help screen telling me there is no purge


Expected results:
I get a purged HG repository or a list of files that would be deleted if there is a purge if --print is used


Additional info:
Comment 1 Neal Becker 2009-07-08 15:04:17 EDT
 hg help
Mercurial Distributed SCM

list of commands:

 add          add the specified files on the next commit
 addremove    add all new files, delete all missing files
 annotate     show changeset information by line for each file
 archive      create an unversioned archive of a repository revision
 backout      reverse effect of earlier changeset
 bisect       subdivision search of changesets
 branch       set or show the current branch name
 branches     list repository named branches
 bundle       create a changegroup file
 cat          output the current or given revision of files
 clone        make a copy of an existing repository
 commit       commit the specified files or all outstanding changes
 copy         mark files as copied for the next commit
 diff         diff repository (or selected files)
 export       dump the header and diffs for one or more changesets
 forget       forget the specified files on the next commit
 grep         search for a pattern in specified files and revisions
 heads        show current repository heads or show branch heads
 help         show help for a given topic or a help overview
 identify     identify the working copy or specified revision
 import       import an ordered set of patches
 incoming     show new changesets found in source
 init         create a new repository in the given directory
 locate       locate files matching specific patterns
 log          show revision history of entire repository or files
 manifest     output the current or given revision of the project manifest
 merge        merge working directory with another revision
 outgoing     show changesets not found in destination
 parents      show the parents of the working directory or revision
 paths        show aliases for remote repositories
 pull         pull changes from the specified source
 push         push changes to the specified destination
 recover      roll back an interrupted transaction
 remove       remove the specified files on the next commit
 rename       rename files; equivalent of copy + remove
 resolve      retry file merges from a merge or update
 revert       restore individual files or directories to an earlier state
 rollback     roll back the last transaction
 root         print the root (top) of the current working directory
 serve        export the repository via HTTP
 showconfig   show combined config settings from all hgrc files
 status       show changed files in the working directory
 tag          add one or more tags for the current or given revision
 tags         list repository tags
 tip          show the tip revision
 unbundle     apply one or more changegroup files
 update       update working directory
 verify       verify the integrity of the repository
 version      output version and copyright information

enabled extensions:

 Artemis      A very simple and lightweight issue tracker for Mercurial.
 convert      import revisions from foreign VCS repositories into Mercurial
 extdiff      command to allow external programs to compare revisions
 graphlog     command to view revision graphs from a shell
 hgk          browse the repository in a graphical way
 highlight    syntax highlighting for hgweb (requires Pygments)
 mq           manage a stack of patches
 purge        command to delete untracked files from the working directory
 rebase       command to move sets of revisions to a different ancestor
 record       commands to interactively select changes for commit/qrefresh
 transplant   command to transplant changesets from another branch
...

Do you see purge ext listed, as I do (above)?
Comment 2 John F 2009-07-08 23:42:12 EDT
no, i see 

Mercurial Distributed SCM

list of commands:

 add          add the specified files on the next commit
 addremove    add all new files, delete all missing files
 annotate     show changeset information per file line
 archive      create unversioned archive of a repository revision
 backout      reverse effect of earlier changeset
 bisect       subdivision search of changesets
 branch       set or show the current branch name
 branches     list repository named branches
 bundle       create a changegroup file
 cat          output the current or given revision of files
 clone        make a copy of an existing repository
 commit       commit the specified files or all outstanding changes
 copy         mark files as copied for the next commit
 diff         diff repository (or selected files)
 export       dump the header and diffs for one or more changesets
 grep         search for a pattern in specified files and revisions
 heads        show current repository heads or show branch heads
 help         show help for a given topic or a help overview
 identify     identify the working copy or specified revision
 import       import an ordered set of patches
 incoming     show new changesets found in source
 init         create a new repository in the given directory
 locate       locate files matching specific patterns
 log          show revision history of entire repository or files
 manifest     output the current or given revision of the project manifest
 merge        merge working directory with another revision
 outgoing     show changesets not found in destination
 parents      show the parents of the working dir or revision
 paths        show aliases for remote repositories
 pull         pull changes from the specified source
 push         push changes to the specified destination
 recover      roll back an interrupted transaction
 remove       remove the specified files on the next commit
 rename       rename files; equivalent of copy + remove
 resolve      retry file merges from a merge or update
 revert       restore individual files or dirs to an earlier state
 rollback     roll back the last transaction
 root         print the root (top) of the current working dir
 serve        export the repository via HTTP
 showconfig   show combined config settings from all hgrc files
 status       show changed files in the working directory
 tag          add one or more tags for the current or given revision
 tags         list repository tags
 tip          show the tip revision
 unbundle     apply one or more changegroup files
 update       update working directory
 verify       verify the integrity of the repository
 version      output version and copyright information

additional help topics:

 dates        Date Formats
 patterns     File Name Patterns
 environment  Environment Variables
 revisions    Specifying Single Revisions
 multirevs    Specifying Multiple Revisions
 diffs        Diff Formats
 templating   Template Usage
 urls         Url Paths
Comment 3 Mads Kiilerich 2009-09-28 07:26:18 EDT
Can you post the output of
hg debugconfig|grep ^extensions
Comment 4 Bug Zapper 2010-04-27 11:33:22 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2010-06-28 09:31:28 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 6 John F 2014-11-17 09:33:00 EST
I just tested this with Fedora 20 and the purge extension is there and functioning.  Sorry for taking 1790 days to notice the needinfo!

Note You need to log in before you can comment on or make changes to this bug.